package net.sf.jsptest.assertion;

import junit.framework.Assert;

public abstract class AbstractAssertion {

    protected void assertContains(String message, String haystack,
            String needle) {
        Assert.assertTrue(message, contains(haystack, needle));
    }

    protected void assertContains(String haystack, String needle) {
        String message = "Expected text <" + needle
                + "> was not found from <" + haystack + ">";
        assertContains(message, haystack, needle);
    }

    protected void assertDoesNotContain(String message,
            String haystack, String needle) {
        Assert.assertFalse(message, contains(haystack, needle));
    }

    protected void assertDoesNotContain(String haystack, String needle) {
        assertDoesNotContain("Expected text <" + needle
                + "> not to be found from <" + haystack + ">",
                haystack, needle);
    }

    private boolean contains(String haystack, String needle) {
        return haystack.indexOf(needle) > -1;
    }

}
