package net.sf.jsptest.assertion;

import junit.framework.Assert;

import org.jaxen.JaxenException;
import org.jaxen.dom.DOMXPath;
import org.w3c.dom.Document;

/**
 * @author Lasse Koskela
 */
public class PageAssertion extends DOMAssertion {

    public PageAssertion(Document content) {
        this.context = content.getDocumentElement();
    }

    public void shouldHaveTitle(String expectedTitle) {
        try {
            String title = new DOMXPath("/HTML/HEAD/TITLE/text()")
                    .stringValueOf(context);
            Assert.assertEquals(expectedTitle, title);
        } catch (JaxenException e) {
            throw new RuntimeException(e);
        }
    }

    public LinkAssertion shouldHaveLink() {
        return new LinkAssertion(context);
    }
}
