package net.sf.jsptest.html;

import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

public class Form {

    private Element element;

    private NodeList fields;

    public Form(Element element) {
        this.element = element;
        fields = element.getElementsByTagName("INPUT");
    }

    public String getName() {
        return element.getAttribute("NAME");
    }

    public boolean hasInputField(String name) {
        if (getInputField(name) != null) {
            return true;
        }
        return false;
    }

    public FormField getInputField(String name) {
        for (int i = 0; i < fields.getLength(); i++) {
            FormField field = new FormField((Element) fields.item(i));
            if (name.equals(field.getName())) {
                return field;
            }
        }
        return null;
    }

    public boolean hasSubmitButton(String name) {
        NodeList elems = element.getElementsByTagName("INPUT");
        for (int i = 0; i < elems.getLength(); i++) {
            Element element = (Element) elems.item(i);
            if ("SUBMIT".equalsIgnoreCase(element
                    .getAttribute("TYPE"))) {
                if (name.equals(element.getAttribute("VALUE"))) {
                    return true;
                }
                if (name.equals(element.getAttribute("NAME"))) {
                    return true;
                }
            }
        }
        return false;
    }

    public boolean hasSubmitButton() {
        NodeList elems = element.getElementsByTagName("INPUT");
        for (int i = 0; i < elems.getLength(); i++) {
            Element element = (Element) elems.item(i);
            if ("SUBMIT".equalsIgnoreCase(element
                    .getAttribute("TYPE"))) {
                return true;
            }
        }
        return false;
    }
}
